<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext
    https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd
    http://www.liquibase.org/xml/ns/dbchangelog
    https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">

    <changeSet author="marco.cordoni" id="202309070921-books_create_table.xml">
        <!-- CHECK IF TABLE EXISTS -->
        <preConditions onFail="MARK_RAN">
            <not>
                <tableExists tableName="books"/>
            </not>
        </preConditions>

        <!-- CREATE BOOKS TABLE -->
        <createTable tableName="books">
            <column autoIncrement="true" name="id" type="INTEGER">
                <constraints primaryKey="true"/>
            </column>
            <column name="name" type="VARCHAR(50)">
                <constraints nullable="false"/>
            </column>
            <column name="id_author" type="INTEGER">
                <constraints nullable="false" foreignKeyName="fk_books_authors" references="authors(id)"/>
            </column>
            <column name="publication_date" type="DATE"/>
            <column name="created_at" type="DATETIME" defaultValueDate="CURRENT_TIMESTAMP"/>
            <column name="updated_at" type="DATETIME" defaultValueDate="CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP"/>
        </createTable>

    </changeSet>
</databaseChangeLog>
